<?php
 $speicher_komplett = disk_total_space("/var/backups");
 $speicher_frei = disk_free_space("/var/backups");

 /* Prozentsatz = (Prozentwert * 100) / Grundwert */

 $prozent_frei = ($speicher_frei * 100) / $speicher_komplett;
 $prozent_belegt = 100 - $prozent_frei;

 require_once('jpgraph/jpgraph.php');
 require_once('jpgraph/jpgraph_pie.php');
 require_once('jpgraph/jpgraph_pie3d.php');

 $daten = array($prozent_frei, $prozent_belegt);

 $torte = new PieGraph(500, 450);

 $theme_class = new SoftyTheme;
 $torte->SetTheme($theme_class);

 $torte->title->Set("Speicherbelegung /var/backups");

 // Grafik zeichnen
 $p1 = new PiePlot3D($daten);
 $torte->Add($p1);
 $torte->img->SetImgFormat('png');

 $p1->SetLegends(array("Frei", "Belegt"));
 $torte->legend->SetPos(0.5, 0.97, 'center', 'bottom');
 $torte->legend->SetColumns(2);

 $p1->ShowBorder();
 $p1->SetColor('black');
 $p1->ExplodeSlice(1);
 $p1->SetSliceColors(array('#00FF00', '#FF0000'));
 $torte->Stroke();
?>
